Upstream information

CVE-2014-3775 at MITRE

Description

libgadu before 1.11.4 and 1.12.0 before 1.12.0-rc3, as used in Pidgin and other products, allows remote Gadu-Gadu file relay servers to cause a denial of service (memory overwrite) or possibly execute arbitrary code via a crafted message.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 878540 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libgadu3
SUSE Linux Enterprise Desktop 12 SP1
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libgadu3
SUSE Linux Enterprise Desktop 12 SP2
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libgadu3
SUSE Linux Enterprise Desktop 12 SP3
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libgadu3
SUSE Linux Enterprise Software Development Kit 12
  • libgadu-devel >= 1.11.4-1.12
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libgadu-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libgadu-devel >= 1.11.4-1.12
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libgadu-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libgadu-devel >= 1.11.4-1.7
  • libgadu3 >= 1.11.4-1.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libgadu-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libgadu-devel >= 1.11.4-1.7
  • libgadu3 >= 1.11.4-1.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libgadu-devel
SUSE Linux Enterprise Workstation Extension 12
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libgadu3
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libgadu3
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libgadu3
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libgadu3 >= 1.11.4-1.12
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libgadu3
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgadu >= 1.8.2-1.24.1
  • libgadu-devel >= 1.8.2-1.24.1
Builds
SAT Patch Nr: 9277
SUSE Linux Enterprise Desktop 11 SP3
  • libgadu >= 1.8.2-1.24.1
Builds
SAT Patch Nr: 9277
openSUSE 13.1
  • libgadu >= 1.11.4-4.4.1
  • libgadu-debugsource >= 1.11.4-4.4.1
  • libgadu-devel >= 1.11.4-4.4.1
  • libgadu3 >= 1.11.4-4.4.1
  • libgadu3-debuginfo >= 1.11.4-4.4.1
Patchnames:
openSUSE-2014-400
openSUSE Leap 42.1
  • libgadu-devel >= 1.12.1-2.2
  • libgadu3 >= 1.12.1-2.2
Patchnames:
openSUSE Leap 42.1 GA libgadu-devel
openSUSE Leap 42.2
  • libgadu-devel >= 1.12.1-3.6
  • libgadu3 >= 1.12.1-3.6
Patchnames:
openSUSE Leap 42.2 GA libgadu-devel
openSUSE Leap 42.3
  • libgadu-devel >= 1.12.1-5.1
  • libgadu3 >= 1.12.1-5.1
Patchnames:
openSUSE Leap 42.3 GA libgadu-devel
openSUSE Tumbleweed
  • libgadu-devel >= 1.12.1-1.10
  • libgadu3 >= 1.12.1-1.10
Patchnames:
openSUSE Tumbleweed GA libgadu-devel


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 libgadu Released
SUSE Linux Enterprise SDK 11 SP3 libgadu Released